Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TDocumentation

    java.lang.Object
      org.apache.cxf.wsdl.TDocumentation

    public class TDocumentation

extends java.lang.Object

Java class for tDocumentation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tDocumentation">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<java.lang.Object>` | `content`

Constructor Summary
`TDocumentation()`

Method Summary
`java.util.List<java.lang.Object>` | `getContent()` Gets the value of the content property.
`boolean` | `isSetContent()`
`void` | `unsetContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected java.util.List<java.lang.Object> content

Constructor Detail

### TDocumentation

    public TDocumentation()

Method Detail

### getContent

    public java.util.List<java.lang.Object> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `String` `Object`

### isSetContent

    public boolean isSetContent()

### unsetContent

    public void unsetContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF